Subject: guile-1.4 shared patch (was: Re: lilypond build on cygwin stucks)
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 19 Sep 2001 15:47:27 +0200

Jan Nieuwenhuizen schrieb am 2001-09-18, 22:04:

Well now, after several attempts, I got it managed to build guile on
Cygwin with shared libs (libguile.dll & libguilereadline.dll).

Now it is: guile-1.4-2.
The patch is up (because 30K), i hope it works for others, too.
http://familiehaase.de/cywgin/guile/guile-1.4-2.patch

How to build it:
================
Requires *all* of Cygwin *plus* libtool-1.4.2

I included two scripts in the patch.
Besides that, there are some minor changes in configure.in and
Makefile.am scripts and some changes to get a clean build on Cygwin.

First script: 
=============
'autogen.sh' which is important.
This is a *must run* to update all the Makefile.in templates and 
some other files.
And it is a *must run* with autoconf 2.52e and automake 1.5 and
libtool 1.4.2 (binary -> http://familiehaase.de/cywgin/libtool/). 
I bet it fails if the autotools are older.
Additional instructions are at the Wiki site now:
http://lilypond.org/wiki/?GuilePatch

Second script:
==============
'autobuild.sh'
There is all included so nothing else needs to be done *after* patching.
The script is in the patch, so patching needs to be done at first.
Put guile-1.4 source and the patch in some directory, unpack guile,

bash$ cd guile-1.4
bash$ patch -p1<../guile-1.4-2.patch

You may run 'sh ./autobuild.sh' now and after a while..., 
all should be ready & done.

Please feel free to ask if there are problems.

To get the resource for Pyhton, I've also built latest Python cvs source,
but there will be an update of python for Cygwin soon (I hope so).

Now the only thing left (for tomorrow) is building LilyPond, which requires
also python & tetex plus (what I have not figured out yet) hopefully no
patches.

*all* is at least:
      cygwin, gawk, less, ncurses, sed, textutils, ash, gcc, autoconf, 
      diff, gdb, m4, automake, make, sh-utils, bash, grep, tar, binutils
      crypt, fileutils, groff, patch, zlib, bison, ctags, findutils, gzip
      termcap, flex, inetutils, regex, texinfo, perl, ghostscript, readline
*plus* is        :
      libtool-1.4.2

Gerrit
-- 
http://lilypond.org/wiki/?CompilingOnWindows 

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/